pcl::tracking::_ParticleXYRPY Struct Reference

`#include <pcl/tracking/impl/tracking.hpp>`

Inheritance diagram for pcl::tracking::_ParticleXYRPY:

## Public Attributes

| PCL_ADD_POINT4D
union {
struct {
float roll
float pitch
float yaw
float weight
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 323 of file tracking.hpp.

## Member Data Documentation

## @170

union { ... }

## data_c

float pcl::tracking::_ParticleXYRPY::data_c[4]

Definition at line 335 of file tracking.hpp.

## PCL_ADD_POINT4D

pcl::tracking::_ParticleXYRPY::PCL_ADD_POINT4D

Definition at line 325 of file tracking.hpp.

## pitch

float pcl::tracking::_ParticleXYRPY::pitch

Definition at line 331 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), and pcl::tracking::operator<<().

## roll

float pcl::tracking::_ParticleXYRPY::roll

Definition at line 330 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), and pcl::tracking::operator<<().

## weight

float pcl::tracking::_ParticleXYRPY::weight

Definition at line 333 of file tracking.hpp.

## yaw

float pcl::tracking::_ParticleXYRPY::yaw

Definition at line 332 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), and pcl::tracking::operator<<().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/tracking/include/pcl/tracking/impl/tracking.hpp